### Method

# GdkX11 X11Screen get_number_of_desktops

deprecated: 4.18

#### Declaration [src]

    guint32
    gdk_x11_screen_get_number_of_desktops (
      GdkX11Screen* screen
    )

#### Description [src]

Returns the number of workspaces for `screen` when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints specification.

Deprecated since: 4.18

Please do not use it in newly written code.

#### Return value

Type: `guint32`

The number of workspaces, or 0 if workspaces are not supported.